import 'package:twister/utils/tools.dart';

class DefaultGameSettings {
  // available global parameters codes
  static const String parameterCodeTimerValue = 'timer';
  static const List<String> availableParameters = [
    parameterCodeTimerValue,
  ];

  // timer value: available values
  static const String timerValueMedium = 'medium';
  static const List<String> allowedTimerValues = [
    timerValueMedium,
  ];
  // timer value: default value
  static const String defaultTimerValue = timerValueMedium;

  // available values from parameter code
  static List<String> getAvailableValues(String parameterCode) {
    switch (parameterCode) {
      case parameterCodeTimerValue:
        return DefaultGameSettings.allowedTimerValues;
    }

    printlog('Did not find any available value for game parameter "$parameterCode".');
    return [];
  }

  // parameters displayed with assets (instead of painter)
  static List<String> displayedWithAssets = [
    //
  ];
}
